data = {
    ".323": "text/h323",
    ".3g2": "video/3gpp2",
    ".3gp": "video/3gpp",
    ".3gp2": "video/3gpp2",
    ".3gpp": "video/3gpp",
    ".7z": "application/x-7z-compressed",
    ".aa": "audio/audible",
    ".AAC": "audio/aac",
    ".aaf": "application/octet-stream",
    ".aax": "audio/vnd.audible.aax",
    ".ac3": "audio/ac3",
    ".aca": "application/octet-stream",
    ".accda": "application/msaccess.addin",
    ".accdb": "application/msaccess",
    ".accdc": "application/msaccess.cab",
    ".accde": "application/msaccess",
    ".accdr": "application/msaccess.runtime",
    ".accdt": "application/msaccess",
    ".accdw": "application/msaccess.webapplication",
    ".accft": "application/msaccess.ftemplate",
    ".acx": "application/internet-property-stream",
    ".AddIn": "text/xml",
    ".ade": "application/msaccess",
    ".adobebridge": "application/x-bridge-url",
    ".adp": "application/msaccess",
    ".ADT": "audio/vnd.dlna.adts",
    ".ADTS": "audio/aac",
    ".afm": "application/octet-stream",
    ".ai": "application/postscript",
    ".aif": "audio/aiff",
    ".aifc": "audio/aiff",
    ".aiff": "audio/aiff",
    ".air": "application/vnd.adobe.air-application-installer-package+zip",
    ".amc": "application/mpeg",
    ".anx": "application/annodex",
    ".apk": "application/vnd.android.package-archive",
    ".apng": "image/apng",
    ".application": "application/x-ms-application",
    ".art": "image/x-jg",
    ".asa": "application/xml",
    ".asax": "application/xml",
    ".ascx": "application/xml",
    ".asd": "application/octet-stream",
    ".asf": "video/x-ms-asf",
    ".ashx": "application/xml",
    ".asi": "application/octet-stream",
    ".asm": "text/plain",
    ".asmx": "application/xml",
    ".aspx": "application/xml",
    ".asr": "video/x-ms-asf",
    ".asx": "video/x-ms-asf",
    ".atom": "application/atom+xml",
    ".au": "audio/basic",
    ".avci": "image/avci",
    ".avcs": "image/avcs",
    ".avi": "video/x-msvideo",
    ".avif": "image/avif",
    ".avifs": "image/avif-sequence",
    ".axa": "audio/annodex",
    ".axs": "application/olescript",
    ".axv": "video/annodex",
    ".bas": "text/plain",
    ".bcpio": "application/x-bcpio",
    ".bin": "application/octet-stream",
    ".bmp": "image/bmp",
    ".c": "text/plain",
    ".cab": "application/octet-stream",
    ".caf": "audio/x-caf",
    ".calx": "application/vnd.ms-office.calx",
    ".cat": "application/vnd.ms-pki.seccat",
    ".cc": "text/plain",
    ".cd": "text/plain",
    ".cdda": "audio/aiff",
    ".cdf": "application/x-cdf",
    ".cer": "application/x-x509-ca-cert",
    ".cfg": "text/plain",
    ".chm": "application/octet-stream",
    ".class": "application/x-java-applet",
    ".clp": "application/x-msclip",
    ".cmd": "text/plain",
    ".cmx": "image/x-cmx",
    ".cnf": "text/plain",
    ".cod": "image/cis-cod",
    ".config": "application/xml",
    ".contact": "text/x-ms-contact",
    ".coverage": "application/xml",
    ".cpio": "application/x-cpio",
    ".cpp": "text/plain",
    ".crd": "application/x-mscardfile",
    ".crl": "application/pkix-crl",
    ".crt": "application/x-x509-ca-cert",
    ".cs": "text/plain",
    ".csdproj": "text/plain",
    ".csh": "application/x-csh",
    ".csproj": "text/plain",
    ".css": "text/css",
    ".csv": "text/csv",
    ".cur": "application/octet-stream",
    ".cxx": "text/plain",
    ".czx": "application/x-czx",
    ".dat": "application/octet-stream",
    ".datasource": "application/xml",
    ".dbproj": "text/plain",
    ".dcr": "application/x-director",
    ".def": "text/plain",
    ".deploy": "application/octet-stream",
    ".der": "application/x-x509-ca-cert",
    ".dgml": "application/xml",
    ".dib": "image/bmp",
    ".dif": "video/x-dv",
    ".dir": "application/x-director",
    ".disco": "text/xml",
    ".divx": "video/divx",
    ".dll.config": "text/xml",
    ".dll": "application/x-msdownload",
    ".dlm": "text/dlm",
    ".doc": "application/msword",
    ".docm": "application/vnd.ms-word.document.macroEnabled.12",
    ".docx": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
    ".dot": "application/msword",
    ".dotm": "application/vnd.ms-word.template.macroEnabled.12",
    ".dotx": "application/vnd.openxmlformats-officedocument.wordprocessingml.template",
    ".dsp": "application/octet-stream",
    ".dsw": "text/plain",
    ".dtd": "text/xml",
    ".dtsConfig": "text/xml",
    ".dv": "video/x-dv",
    ".dvi": "application/x-dvi",
    ".dwf": "drawing/x-dwf",
    ".dwg": "application/acad",
    ".dwp": "application/octet-stream",
    ".dxf": "application/x-dxf",
    ".dxr": "application/x-director",
    ".emf": "image/emf",
    ".eml": "message/rfc822",
    ".emz": "application/octet-stream",
    ".eot": "application/vnd.ms-fontobject",
    ".eps": "application/postscript",
    ".es": "application/ecmascript",
    ".etl": "application/etl",
    ".etx": "text/x-setext",
    ".evy": "application/envoy",
    ".exe.config": "text/xml",
    ".exe": "application/vnd.microsoft.portable-executable",
    ".f4v": "video/mp4",
    ".fdf": "application/vnd.fdf",
    ".fif": "application/fractals",
    ".filters": "application/xml",
    ".fla": "application/octet-stream",
    ".flac": "audio/flac",
    ".flr": "x-world/x-vrml",
    ".flv": "video/x-flv",
    ".fsscript": "application/fsharp-script",
    ".fsx": "application/fsharp-script",
    ".generictest": "application/xml",
    ".geojson": "application/geo+json",
    ".gif": "image/gif",
    ".gpx": "application/gpx+xml",
    ".group": "text/x-ms-group",
    ".gsm": "audio/x-gsm",
    ".gtar": "application/x-gtar",
    ".gz": "application/x-gzip",
    ".h": "text/plain",
    ".hdf": "application/x-hdf",
    ".hdml": "text/x-hdml",
    ".heic": "image/heic",
    ".heics": "image/heic-sequence",
    ".heif": "image/heif",
    ".heifs": "image/heif-sequence",
    ".hhc": "application/x-oleobject",
    ".hhk": "application/octet-stream",
    ".hhp": "application/octet-stream",
    ".hlp": "application/winhlp",
    ".hpp": "text/plain",
    ".hqx": "application/mac-binhex40",
    ".hta": "application/hta",
    ".htc": "text/x-component",
    ".htm": "text/html",
    ".html": "text/html",
    ".htt": "text/webviewhtml",
    ".hxa": "application/xml",
    ".hxc": "application/xml",
    ".hxd": "application/octet-stream",
    ".hxe": "application/xml",
    ".hxf": "application/xml",
    ".hxh": "application/octet-stream",
    ".hxi": "application/octet-stream",
    ".hxk": "application/xml",
    ".hxq": "application/octet-stream",
    ".hxr": "application/octet-stream",
    ".hxs": "application/octet-stream",
    ".hxt": "text/html",
    ".hxv": "application/xml",
    ".hxw": "application/octet-stream",
    ".hxx": "text/plain",
    ".i": "text/plain",
    ".ical": "text/calendar",
    ".icalendar": "text/calendar",
    ".ico": "image/x-icon",
    ".ics": "text/calendar",
    ".idl": "text/plain",
    ".ief": "image/ief",
    ".ifb": "text/calendar",
    ".iii": "application/x-iphone",
    ".inc": "text/plain",
    ".inf": "application/octet-stream",
    ".ini": "text/plain",
    ".inl": "text/plain",
    ".ins": "application/x-internet-signup",
    ".ipa": "application/x-itunes-ipa",
    ".ipg": "application/x-itunes-ipg",
    ".ipproj": "text/plain",
    ".ipsw": "application/x-itunes-ipsw",
    ".iqy": "text/x-ms-iqy",
    ".isma": "application/octet-stream",
    ".ismv": "application/octet-stream",
    ".isp": "application/x-internet-signup",
    ".ite": "application/x-itunes-ite",
    ".itlp": "application/x-itunes-itlp",
    ".itms": "application/x-itunes-itms",
    ".itpc": "application/x-itunes-itpc",
    ".IVF": "video/x-ivf",
    ".jar": "application/java-archive",
    ".java": "application/octet-stream",
    ".jck": "application/liquidmotion",
    ".jcz": "application/liquidmotion",
    ".jfif": "image/pjpeg",
    ".jnlp": "application/x-java-jnlp-file",
    ".jpb": "application/octet-stream",
    ".jpe": "image/jpeg",
    ".jpeg": "image/jpeg",
    ".jpg": "image/jpeg",
    ".js": "application/javascript",
    ".json": "application/json",
    ".jsx": "text/jscript",
    ".jsxbin": "text/plain",
    ".key": "application/vnd.apple.keynote",
    ".latex": "application/x-latex",
    ".library-ms": "application/windows-library+xml",
    ".lit": "application/x-ms-reader",
    ".loadtest": "application/xml",
    ".lpk": "application/octet-stream",
    ".lsf": "video/x-la-asf",
    ".lst": "text/plain",
    ".lsx": "video/x-la-asf",
    ".lzh": "application/octet-stream",
    ".m13": "application/x-msmediaview",
    ".m14": "application/x-msmediaview",
    ".m1v": "video/mpeg",
    ".m2t": "video/vnd.dlna.mpeg-tts",
    ".m2ts": "video/vnd.dlna.mpeg-tts",
    ".m2v": "video/mpeg",
    ".m3u": "audio/x-mpegurl",
    ".m3u8": "audio/x-mpegurl",
    ".m4a": "audio/m4a",
    ".m4b": "audio/m4b",
    ".m4p": "audio/m4p",
    ".m4r": "audio/x-m4r",
    ".m4v": "video/x-m4v",
    ".mac": "image/x-macpaint",
    ".mak": "text/plain",
    ".man": "application/x-troff-man",
    ".manifest": "application/x-ms-manifest",
    ".map": "text/plain",
    ".master": "application/xml",
    ".mbox": "application/mbox",
    ".mda": "application/msaccess",
    ".mdb": "application/x-msaccess",
    ".mde": "application/msaccess",
    ".mdp": "application/octet-stream",
    ".me": "application/x-troff-me",
    ".mfp": "application/x-shockwave-flash",
    ".mht": "message/rfc822",
    ".mhtml": "message/rfc822",
    ".mid": "audio/mid",
    ".midi": "audio/mid",
    ".mix": "application/octet-stream",
    ".mk": "text/plain",
    ".mk3d": "video/x-matroska-3d",
    ".mka": "audio/x-matroska",
    ".mkv": "video/x-matroska",
    ".mmf": "application/x-smaf",
    ".mno": "text/xml",
    ".mny": "application/x-msmoney",
    ".mod": "video/mpeg",
    ".mov": "video/quicktime",
    ".movie": "video/x-sgi-movie",
    ".mp2": "video/mpeg",
    ".mp2v": "video/mpeg",
    ".mp3": "audio/mpeg",
    ".mp4": "video/mp4",
    ".mp4v": "video/mp4",
    ".mpa": "video/mpeg",
    ".mpe": "video/mpeg",
    ".mpeg": "video/mpeg",
    ".mpf": "application/vnd.ms-mediapackage",
    ".mpg": "video/mpeg",
    ".mpp": "application/vnd.ms-project",
    ".mpv2": "video/mpeg",
    ".mqv": "video/quicktime",
    ".ms": "application/x-troff-ms",
    ".msg": "application/vnd.ms-outlook",
    ".msi": "application/octet-stream",
    ".mso": "application/octet-stream",
    ".mts": "video/vnd.dlna.mpeg-tts",
    ".mtx": "application/xml",
    ".mvb": "application/x-msmediaview",
    ".mvc": "application/x-miva-compiled",
    ".mxf": "application/mxf",
    ".mxp": "application/x-mmxp",
    ".nc": "application/x-netcdf",
    ".nsc": "video/x-ms-asf",
    ".numbers": "application/vnd.apple.numbers",
    ".nws": "message/rfc822",
    ".ocx": "application/octet-stream",
    ".oda": "application/oda",
    ".odb": "application/vnd.oasis.opendocument.database",
    ".odc": "application/vnd.oasis.opendocument.chart",
    ".odf": "application/vnd.oasis.opendocument.formula",
    ".odg": "application/vnd.oasis.opendocument.graphics",
    ".odh": "text/plain",
    ".odi": "application/vnd.oasis.opendocument.image",
    ".odl": "text/plain",
    ".odm": "application/vnd.oasis.opendocument.text-master",
    ".odp": "application/vnd.oasis.opendocument.presentation",
    ".ods": "application/vnd.oasis.opendocument.spreadsheet",
    ".odt": "application/vnd.oasis.opendocument.text",
    ".oga": "audio/ogg",
    ".ogg": "audio/ogg",
    ".ogv": "video/ogg",
    ".ogx": "application/ogg",
    ".one": "application/onenote",
    ".onea": "application/onenote",
    ".onepkg": "application/onenote",
    ".onetmp": "application/onenote",
    ".onetoc": "application/onenote",
    ".onetoc2": "application/onenote",
    ".opus": "audio/ogg",
    ".orderedtest": "application/xml",
    ".osdx": "application/opensearchdescription+xml",
    ".otf": "application/font-sfnt",
    ".otg": "application/vnd.oasis.opendocument.graphics-template",
    ".oth": "application/vnd.oasis.opendocument.text-web",
    ".otp": "application/vnd.oasis.opendocument.presentation-template",
    ".ots": "application/vnd.oasis.opendocument.spreadsheet-template",
    ".ott": "application/vnd.oasis.opendocument.text-template",
    ".oxps": "application/oxps",
    ".oxt": "application/vnd.openofficeorg.extension",
    ".p10": "application/pkcs10",
    ".p12": "application/x-pkcs12",
    ".p7b": "application/x-pkcs7-certificates",
    ".p7c": "application/pkcs7-mime",
    ".p7m": "application/pkcs7-mime",
    ".p7r": "application/x-pkcs7-certreqresp",
    ".p7s": "application/pkcs7-signature",
    ".pages": "application/vnd.apple.pages",
    ".pbm": "image/x-portable-bitmap",
    ".pcast": "application/x-podcast",
    ".pct": "image/pict",
    ".pcx": "application/octet-stream",
    ".pcz": "application/octet-stream",
    ".pdf": "application/pdf",
    ".pfb": "application/octet-stream",
    ".pfm": "application/octet-stream",
    ".pfx": "application/x-pkcs12",
    ".pgm": "image/x-portable-graymap",
    ".pic": "image/pict",
    ".pict": "image/pict",
    ".pkgdef": "text/plain",
    ".pkgundef": "text/plain",
    ".pko": "application/vnd.ms-pki.pko",
    ".pls": "audio/scpls",
    ".pma": "application/x-perfmon",
    ".pmc": "application/x-perfmon",
    ".pml": "application/x-perfmon",
    ".pmr": "application/x-perfmon",
    ".pmw": "application/x-perfmon",
    ".png": "image/png",
    ".pnm": "image/x-portable-anymap",
    ".pnt": "image/x-macpaint",
    ".pntg": "image/x-macpaint",
    ".pnz": "image/png",
    ".pot": "application/vnd.ms-powerpoint",
    ".potm": "application/vnd.ms-powerpoint.template.macroEnabled.12",
    ".potx": "application/vnd.openxmlformats-officedocument.presentationml.template",
    ".ppa": "application/vnd.ms-powerpoint",
    ".ppam": "application/vnd.ms-powerpoint.addin.macroEnabled.12",
    ".ppm": "image/x-portable-pixmap",
    ".pps": "application/vnd.ms-powerpoint",
    ".ppsm": "application/vnd.ms-powerpoint.slideshow.macroEnabled.12",
    ".ppsx": "application/vnd.openxmlformats-officedocument.presentationml.slideshow",
    ".ppt": "application/vnd.ms-powerpoint",
    ".pptm": "application/vnd.ms-powerpoint.presentation.macroEnabled.12",
    ".pptx": "application/vnd.openxmlformats-officedocument.presentationml.presentation",
    ".prf": "application/pics-rules",
    ".prm": "application/octet-stream",
    ".prx": "application/octet-stream",
    ".ps": "application/postscript",
    ".psc1": "application/PowerShell",
    ".psd": "application/octet-stream",
    ".psess": "application/xml",
    ".psm": "application/octet-stream",
    ".psp": "application/octet-stream",
    ".pst": "application/vnd.ms-outlook",
    ".pub": "application/x-mspublisher",
    ".pwz": "application/vnd.ms-powerpoint",
    ".qht": "text/x-html-insertion",
    ".qhtm": "text/x-html-insertion",
    ".qt": "video/quicktime",
    ".qti": "image/x-quicktime",
    ".qtif": "image/x-quicktime",
    ".qtl": "application/x-quicktimeplayer",
    ".qxd": "application/octet-stream",
    ".ra": "audio/x-pn-realaudio",
    ".ram": "audio/x-pn-realaudio",
    ".rar": "application/x-rar-compressed",
    ".ras": "image/x-cmu-raster",
    ".rat": "application/rat-file",
    ".rc": "text/plain",
    ".rc2": "text/plain",
    ".rct": "text/plain",
    ".rdlc": "application/xml",
    ".reg": "text/plain",
    ".resx": "application/xml",
    ".rf": "image/vnd.rn-realflash",
    ".rgb": "image/x-rgb",
    ".rgs": "text/plain",
    ".rm": "application/vnd.rn-realmedia",
    ".rmi": "audio/mid",
    ".rmp": "application/vnd.rn-rn_music_package",
    ".rmvb": "application/vnd.rn-realmedia-vbr",
    ".roff": "application/x-troff",
    ".rpm": "audio/x-pn-realaudio-plugin",
    ".rqy": "text/x-ms-rqy",
    ".rtf": "application/rtf",
    ".rtx": "text/richtext",
    ".ruleset": "application/xml",
    ".rvt": "application/octet-stream",
    ".s": "text/plain",
    ".safariextz": "application/x-safari-safariextz",
    ".scd": "application/x-msschedule",
    ".scr": "text/plain",
    ".sct": "text/scriptlet",
    ".sd2": "audio/x-sd2",
    ".sdp": "application/sdp",
    ".sea": "application/octet-stream",
    ".searchConnector-ms": "application/windows-search-connector+xml",
    ".setpay": "application/set-payment-initiation",
    ".setreg": "application/set-registration-initiation",
    ".settings": "application/xml",
    ".sgimb": "application/x-sgimb",
    ".sgml": "text/sgml",
    ".sh": "application/x-sh",
    ".shar": "application/x-shar",
    ".shtml": "text/html",
    ".sit": "application/x-stuffit",
    ".sitemap": "application/xml",
    ".skin": "application/xml",
    ".skp": "application/x-koan",
    ".sldm": "application/vnd.ms-powerpoint.slide.macroEnabled.12",
    ".sldx": "application/vnd.openxmlformats-officedocument.presentationml.slide",
    ".slk": "application/vnd.ms-excel",
    ".sln": "text/plain",
    ".slupkg-ms": "application/x-ms-license",
    ".smd": "audio/x-smd",
    ".smi": "application/octet-stream",
    ".smx": "audio/x-smd",
    ".smz": "audio/x-smd",
    ".snd": "audio/basic",
    ".snippet": "application/xml",
    ".snp": "application/octet-stream",
    ".sol": "text/plain",
    ".sor": "text/plain",
    ".spc": "application/x-pkcs7-certificates",
    ".spl": "application/futuresplash",
    ".spx": "audio/ogg",
    ".sql": "application/sql",
    ".src": "application/x-wais-source",
    ".srf": "text/plain",
    ".SSISDeploymentManifest": "text/xml",
    ".ssm": "application/streamingmedia",
    ".sst": "application/vnd.ms-pki.certstore",
    ".step": "application/step",
    ".stl": "application/vnd.ms-pki.stl",
    ".stp": "application/step",
    ".sv4cpio": "application/x-sv4cpio",
    ".sv4crc": "application/x-sv4crc",
    ".svc": "application/xml",
    ".svg": "image/svg+xml",
    ".swf": "application/x-shockwave-flash",
    ".t": "application/x-troff",
    ".tar": "application/x-tar",
    ".tcl": "application/x-tcl",
    ".testrunconfig": "application/xml",
    ".testsettings": "application/xml",
    ".tex": "application/x-tex",
    ".texi": "application/x-texinfo",
    ".texinfo": "application/x-texinfo",
    ".tgz": "application/x-compressed",
    ".thmx": "application/vnd.ms-officetheme",
    ".thn": "application/octet-stream",
    ".tif": "image/tiff",
    ".tiff": "image/tiff",
    ".tlh": "text/plain",
    ".tli": "text/plain",
    ".toc": "application/octet-stream",
    ".tr": "application/x-troff",
    ".trm": "application/x-msterminal",
    ".trx": "application/xml",
    ".ts": "video/vnd.dlna.mpeg-tts",
    ".tsv": "text/tab-separated-values",
    ".ttf": "application/font-sfnt",
    ".tts": "video/vnd.dlna.mpeg-tts",
    ".txt": "text/plain",
    ".u32": "application/octet-stream",
    ".uls": "text/iuls",
    ".user": "text/plain",
    ".ustar": "application/x-ustar",
    ".vb": "text/plain",
    ".vbdproj": "text/plain",
    ".vbk": "video/mpeg",
    ".vbproj": "text/plain",
    ".vbs": "text/vbscript",
    ".vcf": "text/x-vcard",
    ".vcproj": "application/xml",
    ".vcs": "text/plain",
    ".vcxproj": "application/xml",
    ".vddproj": "text/plain",
    ".vdp": "text/plain",
    ".vdproj": "text/plain",
    ".vdx": "application/vnd.ms-visio.viewer",
    ".vml": "text/xml",
    ".vscontent": "application/xml",
    ".vsct": "text/xml",
    ".vsd": "application/vnd.visio",
    ".vsi": "application/ms-vsi",
    ".vsix": "application/vsix",
    ".vsixlangpack": "text/xml",
    ".vsixmanifest": "text/xml",
    ".vsmdi": "application/xml",
    ".vspscc": "text/plain",
    ".vss": "application/vnd.visio",
    ".vsscc": "text/plain",
    ".vssettings": "text/xml",
    ".vssscc": "text/plain",
    ".vst": "application/vnd.visio",
    ".vstemplate": "text/xml",
    ".vsto": "application/x-ms-vsto",
    ".vsw": "application/vnd.visio",
    ".vsx": "application/vnd.visio",
    ".vtt": "text/vtt",
    ".vtx": "application/vnd.visio",
    ".wasm": "application/wasm",
    ".wav": "audio/wav",
    ".wave": "audio/wav",
    ".wax": "audio/x-ms-wax",
    ".wbk": "application/msword",
    ".wbmp": "image/vnd.wap.wbmp",
    ".wcm": "application/vnd.ms-works",
    ".wdb": "application/vnd.ms-works",
    ".wdp": "image/vnd.ms-photo",
    ".webarchive": "application/x-safari-webarchive",
    ".webm": "video/webm",
    ".webp": "image/webp",
    ".webtest": "application/xml",
    ".wiq": "application/xml",
    ".wiz": "application/msword",
    ".wks": "application/vnd.ms-works",
    ".WLMP": "application/wlmoviemaker",
    ".wlpginstall": "application/x-wlpg-detect",
    ".wlpginstall3": "application/x-wlpg3-detect",
    ".wm": "video/x-ms-wm",
    ".wma": "audio/x-ms-wma",
    ".wmd": "application/x-ms-wmd",
    ".wmf": "application/x-msmetafile",
    ".wml": "text/vnd.wap.wml",
    ".wmlc": "application/vnd.wap.wmlc",
    ".wmls": "text/vnd.wap.wmlscript",
    ".wmlsc": "application/vnd.wap.wmlscriptc",
    ".wmp": "video/x-ms-wmp",
    ".wmv": "video/x-ms-wmv",
    ".wmx": "video/x-ms-wmx",
    ".wmz": "application/x-ms-wmz",
    ".woff": "application/font-woff",
    ".woff2": "application/font-woff2",
    ".wpl": "application/vnd.ms-wpl",
    ".wps": "application/vnd.ms-works",
    ".wri": "application/x-mswrite",
    ".wrl": "x-world/x-vrml",
    ".wrz": "x-world/x-vrml",
    ".wsc": "text/scriptlet",
    ".wsdl": "text/xml",
    ".wvx": "video/x-ms-wvx",
    ".x": "application/directx",
    ".xaf": "x-world/x-vrml",
    ".xaml": "application/xaml+xml",
    ".xap": "application/x-silverlight-app",
    ".xbap": "application/x-ms-xbap",
    ".xbm": "image/x-xbitmap",
    ".xdr": "text/plain",
    ".xht": "application/xhtml+xml",
    ".xhtml": "application/xhtml+xml",
    ".xla": "application/vnd.ms-excel",
    ".xlam": "application/vnd.ms-excel.addin.macroEnabled.12",
    ".xlc": "application/vnd.ms-excel",
    ".xld": "application/vnd.ms-excel",
    ".xlk": "application/vnd.ms-excel",
    ".xll": "application/vnd.ms-excel",
    ".xlm": "application/vnd.ms-excel",
    ".xls": "application/vnd.ms-excel",
    ".xlsb": "application/vnd.ms-excel.sheet.binary.macroEnabled.12",
    ".xlsm": "application/vnd.ms-excel.sheet.macroEnabled.12",
    ".xlsx": "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
    ".xlt": "application/vnd.ms-excel",
    ".xltm": "application/vnd.ms-excel.template.macroEnabled.12",
    ".xltx": "application/vnd.openxmlformats-officedocument.spreadsheetml.template",
    ".xlw": "application/vnd.ms-excel",
    ".xml": "text/xml",
    ".xmp": "application/octet-stream",
    ".xmta": "application/xml",
    ".xof": "x-world/x-vrml",
    ".XOML": "text/plain",
    ".xpm": "image/x-xpixmap",
    ".xps": "application/vnd.ms-xpsdocument",
    ".xrm-ms": "text/xml",
    ".xsc": "application/xml",
    ".xsd": "text/xml",
    ".xsf": "text/xml",
    ".xsl": "text/xml",
    ".xslt": "text/xml",
    ".xsn": "application/octet-stream",
    ".xspf": "application/xspf+xml",
    ".xss": "application/xml",
    ".xtp": "application/octet-stream",
    ".xwd": "image/x-xwindowdump",
    ".z": "application/x-compress",
    ".zip": "application/zip",
    "application/acad": ".dwg",
    "application/annodex": ".anx",
    "application/atom+xml": ".atom",
    "application/directx": ".x",
    "application/ecmascript": ".es",
    "application/envoy": ".evy",
    "application/etl": ".etl",
    "application/font-sfnt": ".ttf",
    "application/font-woff": ".woff",
    "application/font-woff2": ".woff2",
    "application/fractals": ".fif",
    "application/fsharp-script": ".fsx",
    "application/futuresplash": ".spl",
    "application/geo+json": ".geojson",
    "application/gpx+xml": ".gpx",
    "application/hta": ".hta",
    "application/internet-property-stream": ".acx",
    "application/java-archive": ".jar",
    "application/javascript": ".js",
    "application/json": ".json",
    "application/liquidmotion": ".jcz",
    "application/mac-binhex40": ".hqx",
    "application/mbox": ".mbox",
    "application/mpeg": ".amc",
    "application/ms-vsi": ".vsi",
    "application/msaccess.addin": ".accda",
    "application/msaccess.cab": ".accdc",
    "application/msaccess.ftemplate": ".accft",
    "application/msaccess.runtime": ".accdr",
    "application/msaccess.webapplication": ".accdw",
    "application/msaccess": ".mde",
    "application/msword": ".wiz",
    "application/mxf": ".mxf",
    "application/octet-stream": ".xtp",
    "application/oda": ".oda",
    "application/ogg": ".ogx",
    "application/olescript": ".axs",
    "application/onenote": ".onetoc2",
    "application/opensearchdescription+xml": ".osdx",
    "application/oxps": ".oxps",
    "application/pdf": ".pdf",
    "application/pics-rules": ".prf",
    "application/pkcs10": ".p10",
    "application/pkcs7-mime": ".p7m",
    "application/pkcs7-signature": ".p7s",
    "application/pkix-crl": ".crl",
    "application/postscript": ".ps",
    "application/PowerShell": ".psc1",
    "application/rat-file": ".rat",
    "application/rtf": ".rtf",
    "application/sdp": ".sdp",
    "application/set-payment-initiation": ".setpay",
    "application/set-registration-initiation": ".setreg",
    "application/sql": ".sql",
    "application/step": ".stp",
    "application/streamingmedia": ".ssm",
    "application/vnd.adobe.air-application-installer-package+zip": ".air",
    "application/vnd.android.package-archive": ".apk",
    "application/vnd.apple.keynote": ".key",
    "application/vnd.apple.numbers": ".numbers",
    "application/vnd.apple.pages": ".pages",
    "application/vnd.fdf": ".fdf",
    "application/vnd.microsoft.portable-executable": ".exe",
    "application/vnd.ms-excel.addin.macroEnabled.12": ".xlam",
    "application/vnd.ms-excel.sheet.binary.macroEnabled.12": ".xlsb",
    "application/vnd.ms-excel.sheet.macroEnabled.12": ".xlsm",
    "application/vnd.ms-excel.template.macroEnabled.12": ".xltm",
    "application/vnd.ms-excel": ".xlw",
    "application/vnd.ms-fontobject": ".eot",
    "application/vnd.ms-mediapackage": ".mpf",
    "application/vnd.ms-office.calx": ".calx",
    "application/vnd.ms-officetheme": ".thmx",
    "application/vnd.ms-outlook": ".pst",
    "application/vnd.ms-pki.certstore": ".sst",
    "application/vnd.ms-pki.pko": ".pko",
    "application/vnd.ms-pki.seccat": ".cat",
    "application/vnd.ms-pki.stl": ".stl",
    "application/vnd.ms-powerpoint.addin.macroEnabled.12": ".ppam",
    "application/vnd.ms-powerpoint.presentation.macroEnabled.12": ".pptm",
    "application/vnd.ms-powerpoint.slide.macroEnabled.12": ".sldm",
    "application/vnd.ms-powerpoint.slideshow.macroEnabled.12": ".ppsm",
    "application/vnd.ms-powerpoint.template.macroEnabled.12": ".potm",
    "application/vnd.ms-powerpoint": ".pwz",
    "application/vnd.ms-project": ".mpp",
    "application/vnd.ms-visio.viewer": ".vdx",
    "application/vnd.ms-word.document.macroEnabled.12": ".docm",
    "application/vnd.ms-word.template.macroEnabled.12": ".dotm",
    "application/vnd.ms-works": ".wps",
    "application/vnd.ms-wpl": ".wpl",
    "application/vnd.ms-xpsdocument": ".xps",
    "application/vnd.oasis.opendocument.chart": ".odc",
    "application/vnd.oasis.opendocument.database": ".odb",
    "application/vnd.oasis.opendocument.formula": ".odf",
    "application/vnd.oasis.opendocument.graphics-template": ".otg",
    "application/vnd.oasis.opendocument.graphics": ".odg",
    "application/vnd.oasis.opendocument.image": ".odi",
    "application/vnd.oasis.opendocument.presentation-template": ".otp",
    "application/vnd.oasis.opendocument.presentation": ".odp",
    "application/vnd.oasis.opendocument.spreadsheet-template": ".ots",
    "application/vnd.oasis.opendocument.spreadsheet": ".ods",
    "application/vnd.oasis.opendocument.text-master": ".odm",
    "application/vnd.oasis.opendocument.text-template": ".ott",
    "application/vnd.oasis.opendocument.text-web": ".oth",
    "application/vnd.oasis.opendocument.text": ".odt",
    "application/vnd.openofficeorg.extension": ".oxt",
    "application/vnd.openxmlformats-officedocument.presentationml.presentation": ".pptx",
    "application/vnd.openxmlformats-officedocument.presentationml.slide": ".sldx",
    "application/vnd.openxmlformats-officedocument.presentationml.slideshow": ".ppsx",
    "application/vnd.openxmlformats-officedocument.presentationml.template": ".potx",
    "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet": ".xlsx",
    "application/vnd.openxmlformats-officedocument.spreadsheetml.template": ".xltx",
    "application/vnd.openxmlformats-officedocument.wordprocessingml.document": ".docx",
    "application/vnd.openxmlformats-officedocument.wordprocessingml.template": ".dotx",
    "application/vnd.rn-realmedia-vbr": ".rmvb",
    "application/vnd.rn-realmedia": ".rm",
    "application/vnd.rn-rn_music_package": ".rmp",
    "application/vnd.visio": ".vtx",
    "application/vnd.wap.wmlc": ".wmlc",
    "application/vnd.wap.wmlscriptc": ".wmlsc",
    "application/vsix": ".vsix",
    "application/wasm": ".wasm",
    "application/windows-library+xml": ".library-ms",
    "application/windows-search-connector+xml": ".searchConnector-ms",
    "application/winhlp": ".hlp",
    "application/wlmoviemaker": ".WLMP",
    "application/x-7z-compressed": ".7z",
    "application/x-bcpio": ".bcpio",
    "application/x-bridge-url": ".adobebridge",
    "application/x-cdf": ".cdf",
    "application/x-compress": ".z",
    "application/x-compressed": ".tgz",
    "application/x-cpio": ".cpio",
    "application/x-csh": ".csh",
    "application/x-czx": ".czx",
    "application/x-director": ".dxr",
    "application/x-dvi": ".dvi",
    "application/x-dxf": ".dxf",
    "application/x-gtar": ".gtar",
    "application/x-gzip": ".gz",
    "application/x-hdf": ".hdf",
    "application/x-internet-signup": ".isp",
    "application/x-iphone": ".iii",
    "application/x-itunes-ipa": ".ipa",
    "application/x-itunes-ipg": ".ipg",
    "application/x-itunes-ipsw": ".ipsw",
    "application/x-itunes-ite": ".ite",
    "application/x-itunes-itlp": ".itlp",
    "application/x-itunes-itms": ".itms",
    "application/x-itunes-itpc": ".itpc",
    "application/x-java-applet": ".class",
    "application/x-java-jnlp-file": ".jnlp",
    "application/x-koan": ".skp",
    "application/x-latex": ".latex",
    "application/x-miva-compiled": ".mvc",
    "application/x-mmxp": ".mxp",
    "application/x-ms-application": ".application",
    "application/x-ms-license": ".slupkg-ms",
    "application/x-ms-manifest": ".manifest",
    "application/x-ms-reader": ".lit",
    "application/x-ms-vsto": ".vsto",
    "application/x-ms-wmd": ".wmd",
    "application/x-ms-wmz": ".wmz",
    "application/x-ms-xbap": ".xbap",
    "application/x-msaccess": ".mdb",
    "application/x-mscardfile": ".crd",
    "application/x-msclip": ".clp",
    "application/x-msdownload": ".dll",
    "application/x-msmediaview": ".mvb",
    "application/x-msmetafile": ".wmf",
    "application/x-msmoney": ".mny",
    "application/x-mspublisher": ".pub",
    "application/x-msschedule": ".scd",
    "application/x-msterminal": ".trm",
    "application/x-mswrite": ".wri",
    "application/x-netcdf": ".nc",
    "application/x-oleobject": ".hhc",
    "application/x-perfmon": ".pmw",
    "application/x-pkcs12": ".pfx",
    "application/x-pkcs7-certificates": ".spc",
    "application/x-pkcs7-certreqresp": ".p7r",
    "application/x-podcast": ".pcast",
    "application/x-quicktimeplayer": ".qtl",
    "application/x-rar-compressed": ".rar",
    "application/x-safari-safariextz": ".safariextz",
    "application/x-safari-webarchive": ".webarchive",
    "application/x-sgimb": ".sgimb",
    "application/x-sh": ".sh",
    "application/x-shar": ".shar",
    "application/x-shockwave-flash": ".swf",
    "application/x-silverlight-app": ".xap",
    "application/x-smaf": ".mmf",
    "application/x-stuffit": ".sit",
    "application/x-sv4cpio": ".sv4cpio",
    "application/x-sv4crc": ".sv4crc",
    "application/x-tar": ".tar",
    "application/x-tcl": ".tcl",
    "application/x-tex": ".tex",
    "application/x-texinfo": ".texinfo",
    "application/x-troff-man": ".man",
    "application/x-troff-me": ".me",
    "application/x-troff-ms": ".ms",
    "application/x-troff": ".tr",
    "application/x-ustar": ".ustar",
    "application/x-wais-source": ".src",
    "application/x-wlpg-detect": ".wlpginstall",
    "application/x-wlpg3-detect": ".wlpginstall3",
    "application/x-x509-ca-cert": ".der",
    "application/xaml+xml": ".xaml",
    "application/xhtml+xml": ".xhtml",
    "application/xml": ".xss",
    "application/xspf+xml": ".xspf",
    "application/zip": ".zip",
    "audio/aac": ".ADTS",
    "audio/ac3": ".ac3",
    "audio/aiff": ".cdda",
    "audio/annodex": ".axa",
    "audio/audible": ".aa",
    "audio/basic": ".snd",
    "audio/flac": ".flac",
    "audio/m4a": ".m4a",
    "audio/m4b": ".m4b",
    "audio/m4p": ".m4p",
    "audio/mid": ".rmi",
    "audio/mpeg": ".mp3",
    "audio/ogg": ".spx",
    "audio/scpls": ".pls",
    "audio/vnd.audible.aax": ".aax",
    "audio/vnd.dlna.adts": ".ADT",
    "audio/wav": ".wave",
    "audio/x-caf": ".caf",
    "audio/x-gsm": ".gsm",
    "audio/x-m4r": ".m4r",
    "audio/x-matroska": ".mka",
    "audio/x-mpegurl": ".m3u8",
    "audio/x-ms-wax": ".wax",
    "audio/x-ms-wma": ".wma",
    "audio/x-pn-realaudio-plugin": ".rpm",
    "audio/x-pn-realaudio": ".ram",
    "audio/x-sd2": ".sd2",
    "audio/x-smd": ".smz",
    "drawing/x-dwf": ".dwf",
    "image/apng": ".apng",
    "image/avci": ".avci",
    "image/avcs": ".avcs",
    "image/avif-sequence": ".avifs",
    "image/avif": ".avif",
    "image/bmp": ".dib",
    "image/cis-cod": ".cod",
    "image/emf": ".emf",
    "image/gif": ".gif",
    "image/heic-sequence": ".heics",
    "image/heic": ".heic",
    "image/heif-sequence": ".heifs",
    "image/heif": ".heif",
    "image/ief": ".ief",
    "image/jpeg": ".jpg",
    "image/pict": ".pict",
    "image/pjpeg": ".jfif",
    "image/png": ".pnz",
    "image/svg+xml": ".svg",
    "image/tiff": ".tiff",
    "image/vnd.ms-photo": ".wdp",
    "image/vnd.rn-realflash": ".rf",
    "image/vnd.wap.wbmp": ".wbmp",
    "image/webp": ".webp",
    "image/x-cmu-raster": ".ras",
    "image/x-cmx": ".cmx",
    "image/x-icon": ".ico",
    "image/x-jg": ".art",
    "image/x-macpaint": ".pntg",
    "image/x-portable-anymap": ".pnm",
    "image/x-portable-bitmap": ".pbm",
    "image/x-portable-graymap": ".pgm",
    "image/x-portable-pixmap": ".ppm",
    "image/x-quicktime": ".qtif",
    "image/x-rgb": ".rgb",
    "image/x-xbitmap": ".xbm",
    "image/x-xpixmap": ".xpm",
    "image/x-xwindowdump": ".xwd",
    "message/rfc822": ".nws",
    "text/calendar": ".ifb",
    "text/css": ".css",
    "text/csv": ".csv",
    "text/dlm": ".dlm",
    "text/h323": ".323",
    "text/html": ".shtml",
    "text/iuls": ".uls",
    "text/jscript": ".jsx",
    "text/plain": ".XOML",
    "text/richtext": ".rtx",
    "text/scriptlet": ".wsc",
    "text/sgml": ".sgml",
    "text/tab-separated-values": ".tsv",
    "text/vbscript": ".vbs",
    "text/vnd.wap.wml": ".wml",
    "text/vnd.wap.wmlscript": ".wmls",
    "text/vtt": ".vtt",
    "text/webviewhtml": ".htt",
    "text/x-component": ".htc",
    "text/x-hdml": ".hdml",
    "text/x-html-insertion": ".qhtm",
    "text/x-ms-contact": ".contact",
    "text/x-ms-group": ".group",
    "text/x-ms-iqy": ".iqy",
    "text/x-ms-rqy": ".rqy",
    "text/x-setext": ".etx",
    "text/x-vcard": ".vcf",
    "text/xml": ".xslt",
    "video/3gpp": ".3gpp",
    "video/3gpp2": ".3gp2",
    "video/annodex": ".axv",
    "video/divx": ".divx",
    "video/mp4": ".mp4v",
    "video/mpeg": ".vbk",
    "video/ogg": ".ogv",
    "video/quicktime": ".qt",
    "video/vnd.dlna.mpeg-tts": ".tts",
    "video/webm": ".webm",
    "video/x-dv": ".dv",
    "video/x-flv": ".flv",
    "video/x-ivf": ".IVF",
    "video/x-la-asf": ".lsx",
    "video/x-m4v": ".m4v",
    "video/x-matroska-3d": ".mk3d",
    "video/x-matroska": ".mkv",
    "video/x-ms-asf": ".nsc",
    "video/x-ms-wm": ".wm",
    "video/x-ms-wmp": ".wmp",
    "video/x-ms-wmv": ".wmv",
    "video/x-ms-wmx": ".wmx",
    "video/x-ms-wvx": ".wvx",
    "video/x-msvideo": ".avi",
    "video/x-sgi-movie": ".movie",
    "x-world/x-vrml": ".xof",
}
